Subject: bug#36940: tests slowness and failure after recent Tramp changes

From: Michael Albinus <[email-masked]>
Date: Sun, 25 Aug 2019 13:28:46 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

> Darwin filesystem under utf-8-hfs uses decomposed strings for file
> names.  What you see is the result of that decomposition: ί was
> decomposed into ι followed by the acute accent, a combination that
> displays the same as the original precomposed letter, but is different
> when binary-compared.
>
> I think you should run the strings through
> ucs-normalize-HFS-NFD-string before comparing them, when the
> en/decoding is done with utf-8-hfs.  Alternatively, use the facilities
> in char-fold.el to generate a more lax regexp for your search in
> tramp--test-check-files.

Thanks, I will try to adapt the test accordingly. In core Tramp, nothing
needs to be changed I believe.

Best regards, Michael.